Description

A client connecting to DataONE should be able to discover necessary services, schemas and other information necessary to support

programmatic interaction.

Simplest would be to return a structured document (e.g. XML, RDF, JSON, WSDL, ...) which lists the locations of essential services

and related information.

Would be good if a client could connect to dataone.org (with accept header indicating the content type to retrieve) and obtain the

necessary metadata.  

Perhaps client should be able to connect to any DataONE node and obtain such information?

History

#1 - 2010-01-15 17:07 - Matthew Jones

Given that we are focused on REST web services, may want to consider the emerging Web Application Description Language (WADL) to describe

the services.  It seems to me to be effective for describing plain web applications, and is much cleaner and clearer than WSDL.

#2 - 2010-10-06 19:41 - Dave Vieglais

- Status changed from New to 3

See also #889 for the initial implementation

#3 - 2010-10-06 22:07 - Dave Vieglais

- Status changed from 3 to Closed
